# Created by pyp2rpm-3.3.6
%global pypi_name sphinxcontrib-dotnetdomain

Name:           python-%{pypi_name}
Version:        0.4
Release:        %mkrel 3
Summary:        Sphinx "dotnetdomain" extension
Group:          Development/Python
License:        MIT
URL:            https://github.com/rtfd/sphinxcontrib-dotnetdomain
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx) >= 0.6

%description
Sphinx .NET domainDomain to support .NET languages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(sphinx) >= 0.6
%description -n python3-%{pypi_name}
Sphinx .NET domainDomain to support .NET languages.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

#we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_dotnetdomain-%{version}-py%{python3_version}-nspkg.pth

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib_dotnetdomain-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.4-3.mga9
+ Revision: 1832797
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.4-2.mga9
+ Revision: 1782414
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4-1.mga9
+ Revision: 1733824
- imported package python-sphinxcontrib-dotnetdomain

